<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="Template Mo" />
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet" />

  <title>Sipreksi</title>
  <link rel="shortcut icon" href="{{ asset('assets/images/logo/icon_aplikasi.png')}}" type="image/png">
  <!--

ART FACTORY

https://templatemo.com/tm-537-art-factory

-->
  <!-- Additional CSS Files -->
  <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css" />
  <link rel="stylesheet" type="text/css" href="assets/css/font-awesome.css" />
  <link rel="stylesheet" type="text/css" href="assets/css/templatemo-art-factory.css" />
  <link rel="stylesheet" type="text/css" href="assets/css/owl-carousel.css" />
</head>

<body>
  <!-- ***** Preloader Start ***** -->
  <div id="preloader">
    <div class="jumper">
      <div></div>
      <div></div>
      <div></div>
    </div>
  </div>
  <!-- ***** Preloader End ***** -->

  <!-- ***** Header Area Start ***** -->
  <header class="header-area header-sticky">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <nav class="main-nav">
            <!-- ***** Logo Start ***** -->
            <a href="#" class="logo">Polije Chance</a>
            <!-- ***** Logo End ***** -->
            <!-- ***** Menu Start ***** -->
            <ul class="nav">
              <li class="scroll-to-section">
                <a href="#welcome" class="active">Beranda</a>
              </li>
              <li class="scroll-to-section"><a href="#about">Tentang</a></li>
              <li class="scroll-to-section">
                <a href="#services">Layanan</a>
              </li>
              <li class="scroll-to-section">
                <a href="#contact-us">Contact Us</a>
              </li>
              <a href="{{ route('login') }}" class="main-button-slider mr-2">Login</a>
              <a href="{{ route('register') }}" class="main-button-slider">Register </a>
            </ul>
            <a class="menu-trigger">
              <span>Menu</span>
            </a>
            <!-- ***** Menu End ***** -->
          </nav>
        </div>
      </div>
    </div>
  </header>
  <!-- ***** Header Area End ***** -->

  <!-- ***** Welcome Area Start ***** -->
  <div class="welcome-area" id="welcome">
    <!-- ***** Header Text Start ***** -->
    <div class="header-text">
      <div class="container">
        <div class="row">
          <div class="left-text col-lg-6 col-md-6 col-sm-12 col-xs-12 mt-5"
            data-scroll-reveal="enter left move 30px over 0.6s after 0.4s">
            <h1>Sistem prediksi kelulusan seleksi <strong>SNBP</strong></h1>
            <p>
              Prediksi kelulusan SNBP untuk Politeknik Negeri Jember
              berdasarkan prestasi akademik siswa SMAN 1 Banyuwangi,
              memberikan gambaran peluang kelulusan dengan akurasi yang lebih
              tinggi.
            </p>
            <a href="#about" class="main-button-slider">Pelajari Lebih Lanjut</a>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-12 col-xs-12"
            data-scroll-reveal="enter right move 30px over 0.6s after 0.4s">
            <img src="assets/images/slider-icon.png" class="rounded img-fluid d-block mx-auto"
              alt="First Vector Graphic" />
          </div>
        </div>
      </div>
    </div>
    <!-- ***** Header Text End ***** -->
  </div>
  <!-- ***** Welcome Area End ***** -->

  <!-- ***** Features Big Item Start ***** -->
  <section class="section" id="about">
    <div class="container">
      <div class="row">
        <div class="col-lg-7 col-md-12 col-sm-12" data-scroll-reveal="enter left move 30px over 0.6s after 0.4s">
          <img src="assets/images/left-image.png" class="rounded img-fluid d-block mx-auto" alt="Sistem Prediksi" />
        </div>
        <div class="right-text col-lg-5 col-md-12 col-sm-12 mobile-top-fix">
          <div class="left-heading">
            <h5>Sistem Prediksi Kelulusan Seleksi Nasional</h5>
          </div>
          <div class="left-text">
            <p>
              Sistem ini memprediksi kelulusan seleksi nasional ke Politeknik
              Negeri Jember berdasarkan prestasi akademik siswa SMAN 1
              Banyuwangi. Dengan menggunakan data prestasi yang ada, sistem
              ini memberikan gambaran tentang peluang kelulusan setiap siswa.
            </p>
            <a href="#about2" class="main-button">Pelajari Lebih Lanjut</a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-lg-12">
          <div class="hr"></div>
        </div>
      </div>
    </div>
  </section>

  <!-- ***** Features Big Item End ***** -->

  <!-- ***** Features Small Start ***** -->
  <section class="section" id="services">
    <div class="container">
      <div class="row">
        <div class="owl-carousel owl-theme">
          <!-- Fitur Prediksi -->
          <div class="item service-item">
            <div class="icon">
              <i><img src="assets/images/service-icon-01.png" alt="" /></i>
            </div>
            <h5 class="service-title">Prediksi Kelulusan SNBP</h5>
            <p>
              Dengan sistem ini, Anda dapat memprediksi peluang kelulusan
              seleksi nasional SNBP ke Politeknik Negeri Jember. Berdasarkan
              data prestasi akademik siswa, sistem memberikan proyeksi yang
              akurat tentang kemungkinan kelulusan.
            </p>
            <a href="#prediction-feature" class="main-button">Pelajari Lebih Lanjut</a>
          </div>

          <!-- Grafik Riwayat Prediksi -->
          <div class="item service-item">
            <div class="icon">
              <i><img src="assets/images/service-icon-01.png" alt="" /></i>
            </div>
            <h5 class="service-title">Analisis Grafik Riwayat Prediksi</h5>
            <p>
              Menyediakan visualisasi grafik yang menggambarkan tren dan
              riwayat prediksi kelulusan dari waktu ke waktu, membantu Anda
              melihat perkembangan serta pola kelulusan dari siswa yang
              diprediksi.
            </p>
            <a href="#history-graph" class="main-button">Lihat Grafik</a>
          </div>
        </div>
      </div>
    </div>
  </section>
  <!-- ***** Features Small End ***** -->

  <!-- ***** Contact Us Start ***** -->
  <section class="section" id="contact-us">
    <div class="container-fluid">
      <div class="row justify-content-center">
        <!-- ***** Contact Map Start ***** -->
        <div class="col-lg-12 col-md-12 col-sm-12 text-center">
          <div id="map">
            <iframe
              src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3948.745482000059!2d114.36870227477094!3d-8.228329991804413!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2dd15ad1ca1bb5d5%3A0x54c2a53169ee527a!2sSMA%20Negeri%201%20Banyuwangi!5e0!3m2!1sid!2sid!4v1749469898612!5m2!1sid!2sid"
              width="100%" height="500px" frameborder="0" style="border: 0" allowfullscreen></iframe>
          </div>
        </div>
        <!-- ***** Contact Map End ***** -->
      </div>
    </div>
  </section>

  <!-- ***** Contact Us End ***** -->

  <!-- ***** Footer Start ***** -->
  <footer>
    <div class="container">
      <div class="row">
        <div class="col-lg-7 col-md-12 col-sm-12">
          <p class="copyright">Copyright &copy; Zulfikar</p>
        </div>
        <div class="col-lg-5 col-md-12 col-sm-12">
          <ul class="social">
            <li>
              <a href="#"><i class="fa fa-facebook"></i></a>
            </li>
            <li>
              <a href="#"><i class="fa fa-twitter"></i></a>
            </li>
            <li>
              <a href="#"><i class="fa fa-linkedin"></i></a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </footer>

  <!-- jQuery -->
  <script src="assets/js/jquery-2.1.0.min.js"></script>

  <!-- Bootstrap -->
  <script src="assets/js/popper.js"></script>
  <script src="assets/js/bootstrap.min.js"></script>

  <!-- Plugins -->
  <script src="assets/js/owl-carousel.js"></script>
  <script src="assets/js/scrollreveal.min.js"></script>
  <script src="assets/js/waypoints.min.js"></script>
  <script src="assets/js/jquery.counterup.min.js"></script>
  <script src="assets/js/imgfix.min.js"></script>

  <!-- Global Init -->
  <script src="assets/js/custom.js"></script>
</body>

</html>